
# borg-assmiliator/KeggDiseaseParser.pm: Kegg diseases assimilation perl module
# Copyright (C) 2011 Bradley Worley
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License,
# or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the
# 
#     Free Software Foundation, Inc.
#     59 Temple Place, Suite 330
#     Boston, MA 02111-1307 USA

# setup the package name.
package BORG::KeggDiseaseParser;
use base qw (HTML::Parser);

# the current tag.
my $currentTag = "";
my $currentSec = "";

our $diseaseName;

# the text sub.
sub text {
  # get the arguments.
  my ($self, $text) = @_;

  # sections are enclosed in <nobr> tags.
  if ($currentTag eq "nobr") {
    $currentSec = $text;
  }

  # disease names fall after "Name" sections, inside divs.
  if ($currentTag eq "div" and $currentSec eq "Name") {
    # set the pathway name.
    $diseaseName = $text;
  }
}

# the start sub.
sub start {
  # get the arguments.
  my ($self, $tag, $attr, $attrseq, $origtext) = @_;
  $currentTag = $tag;
}

# the end sub.
sub end {
  # get the arguments.
  my ($self, $tag, $origtext) = @_;
  $currentTag = "";
}

# cause its a module.
return 1;
