
# borg-assmiliator/KeggParser.pm: main KEGG assimilation perl module
# Copyright (C) 2011 Bradley Worley
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License,
# or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the
# 
#     Free Software Foundation, Inc.
#     59 Temple Place, Suite 330
#     Boston, MA 02111-1307 USA

# setup the package name.
package BORG::KeggParser;
use base qw (HTML::Parser);

# the current tag.
my $currentTag = "";
my $currentSec = "";

our @pathways;
our @diseases;

# the text sub.
sub text {
  # get the arguments.
  my ($self, $text) = @_;

  # sections are enclosed in <nobr> tags.
  if ($currentTag eq "nobr") {
    $currentSec = $text;
  }

  # pathways fall after "Pathway" sections, inside anchors.
  if ($currentTag eq "a" and $currentSec eq "Pathway") {
    # add this to the pathways array.
    push (@pathways, $text);
  }

  # diseases fall after "Disease" sections, inside anchors.
  if ($currentTag eq "a" and $currentSec eq "Disease") {
    # add this to the diseases array.
    push (@diseases, $text);
  }
}

# the start sub.
sub start {
  # get the arguments.
  my ($self, $tag, $attr, $attrseq, $origtext) = @_;
  $currentTag = $tag;
}

# the end sub.
sub end {
  # get the arguments.
  my ($self, $tag, $origtext) = @_;
  $currentTag = "";
}

# cause its a module.
return 1;
