
create table aliases (
  orig  varchar(8) not null,
  alias varchar(8) not null
);

create table sources (
  UID        varchar(8) not null,
  sourceID   varchar(32) null,
  type       varchar(32) null,
  regulation varchar(8) null,
  reference  varchar(64) null
);

create table uniprot (
  UID      varchar(8) not null,
  entry    varchar(64) null,
  name     varchar(512) null,
  sequence varchar(2048) null,
  residues int unsigned null,
  function varchar(2048) null,
  location varchar(512) null,
  pdac     varchar(8) not null
);

create table genes (
  UID  varchar(8) not null,
  gene varchar(32) not null
);

create table diseases (
  UID     varchar(8) not null,
  disease varchar(2048) not null
);

create table keywords (
  UID     varchar(8) not null,
  keyword varchar(512) not null
);

create table seqsims (
  UID    varchar(8) not null,
  seqsim varchar(512) not null
);

create table GO (
  UID  varchar(8) not null,
  GO   varchar(16) not null,
  type varchar(2) not null,
  dsc  varchar(256) default null
);

create table pdbProteins (
  UID varchar(8) not null,
  PDB varchar(8) not null
);

create table pdbLigands (
  PDB varchar(8) not null,
  HET varchar(8) not null
);

create table kegg (
  UID  varchar(8) not null,
  kegg varchar(16) not null
);

create table keggPathways (
  kegg    varchar(16) not null,
  pathway varchar(32) not null,
  dsc     varchar(512) default null
);

create table keggDiseases (
  kegg    varchar(16) not null,
  disease varchar(32) not null,
  dsc     varchar(512) default null
);

create table ensembl (
  UID        varchar(8) not null,
  transcript varchar(16) not null,
  protein    varchar(16) not null,
  gene       varchar(16) not null
);

create table string (
  actorA    varchar(8) not null,
  actorB    varchar(8) not null,
  score     float not null,
  originals varchar(8) not null
);

create table dip (
  actorA      varchar(8) not null,
  actorB      varchar(8) not null,
  originals varchar(8) not null
);

create table pfam (
  UID    varchar(8) not null,
  family varchar(32) not null,
  dsc    varchar(512) default null
);

create table eggNOG (
  UID     varchar(8) not null,
  eggNOG  varchar(32) not null,
  dsc     varchar(512) default null
);

create table OMA (
  UID      varchar(8) not null,
  omaGroup varchar(16) not null
);

create table binding (
  UID varchar(8) not null,
  monomerID int unsigned not null,
  HET varchar(4) null,
  name varchar(256) null
);
